Bug 17054 - ntop 1.3.1-1 SRPM build installs files outside buildroot
Summary: ntop 1.3.1-1 SRPM build installs files outside buildroot
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: ntop (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-28 22:47 UTC by Michael Jennings (KainX)
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-29 09:11:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New spec file (2.38 KB, text/plain)
2000-08-28 22:48 UTC, Michael Jennings (KainX)
no flags Details
Patch to Makefile.am files (1.43 KB, patch)
2000-08-28 22:49 UTC, Michael Jennings (KainX)
no flags Details | Diff

Description Michael Jennings (KainX) 2000-08-28 22:47:58 UTC
A portion of the ntop Makefile, namely the "install-data-local" target in
the root-level Makefile.am, fails to utilize the DESTDIR variable.  Thus, a
build as root will cause various ntop HTML and data files to be installed
into /usr/sbin and /usr/etc rather than in the buildroot.  Worse yet, a
build as any other user will fail.  Moreover, the resultant RPM will not
contain the /usr/sbin/ntop-cert.pem file, and indeed the RPM from
updates.redhat.com is missing that file.  There is a similar problem with
the plugins (/usr/sbin/plugin/*.so) which are also missing from your RPM.

I will attach a fixed spec file and a patch which will correct the
problems.

Comment 1 Michael Jennings (KainX) 2000-08-28 22:48:27 UTC
Created attachment 3079 [details]
New spec file

Comment 2 Michael Jennings (KainX) 2000-08-28 22:49:56 UTC
Created attachment 3080 [details]
Patch to Makefile.am files

Comment 3 Ngo Than 2000-08-29 09:11:32 UTC
i will update it soon. Thanks for your patch file

Comment 4 Ngo Than 2000-09-12 16:01:26 UTC
fixed in ntop-1.3.2-1. the nwe package is in the rawhide.


Note You need to log in before you can comment on or make changes to this bug.